<div class="" style="padding-top: 20px;">
    <!-- <div class="text-center flex-center address-info-file-upload" style="border: 1px #ccc dashed;padding: 1rem 0px;">
        <button class="btn btn-primary" ngf-select="upload($file)" ng-if="!config.isUploading && !config.uploadOk && !config.uploadError">
            <i class="fa fa-cloud-upload icon-2x"></i>
            <span class="file-upload-span">立刻上传</span>
        </button>
        <button class="btn btn-primary" ng-if="config.isUploading">
            <span>正在上传...</span><span ng-bind="config.uploadProgressStr"></span>
        </button> 
        <button class="btn btn-primary" ng-if="config.uploadError" ngf-select="upload($file)">
            <span>上传失败, 重新上传</span>
        </button>
        <button class="btn btn-primary" ng-if="config.uploadOk">
            <span>上传成功!</span>
        </button>
    </div> -->
    
    <div class="text-center flex-center " >
        
        <div ng-disabled="config.uploadOk || config.isUploading" class="upload-wrapper fill-parent" ngf-drag-over-class="'file-drag-over'" ngf-drop="drap($isDragging, $class, $event);" ng-model="config.selectedFile" ngf-select="select($file);" style="width:60%;height: 5rem;margin-bottom: 1rem;position: relative;" ng-class="{'progress-success':(config.uploadOk && config.parseFileOk),'progress-failure':(config.uploadError || (config.uploadOk && !config.parseFileOk))}">
            <span class="selected-file-name" ng-bind="config.selectedFile.name" style="color: black;"></span>
            <span class="upload-progress progressing-{{config.progressPercentage}}" ></span>
            <span class="fill-width" ng-if="config.selectedFile==null" style="">
                <span class="tip-for-drag">点击选择文件  或  拖动文件到此区域</span>
                <span class="excel-tip-for-user">当前只支持2010版Excel文件</span>
            </span>
            <span class="is-drag-over">松手即可选择该文件!</span>
            <div  ng-if="config.isUploading">
                <span>正在上传...</span><span ng-bind="config.uploadProgressStr"></span>
            </div>
            <div  ng-if="config.uploadError" >
                <span class="file-upload-error-tip">文件上传或解析失败,请检查文件格式并重新上传</span>
                <!-- <span class="err-child-is-drag-over">松手即可选择该文件!</span> -->
            </div>
            <div ng-if="config.uploadOk && !config.parseFileOk">
                <span class="file-upload-error-tip">文件解析失败!</span>
            </div>
            <div ng-if="config.uploadOk && config.parseFileOk">
                <span>文件上传并解析成功!</span>
            </div>
            <!-- <div  ng-if="config.uploadOk">
                <span>上传成功!</span>
            </div> -->
        </div>
        <div class="upload-right" style="width:35%;text-align: left;padding-left: 1rem;margin-bottom: 1.3rem;">
            <button class="btn btn-primary"  ng-disabled="config.isUploading || config.selectedFile==null" ng-click="upload();">
                <i class="fa fa-cloud-upload icon-2x"></i>
                <span ng-if="!config.uploadOk" class="file-upload-span">立刻上传</span>
                <span ng-if="config.uploadOk" class="file-upload-span" ng-click="repareForUpload();">重新上传</span>
            </button>
            <button class="btn btn-primary flex-center-inline" ng-click="downloadExcelTemplate('ppm')">
                <i class="fa fa-cloud-download icon-2x"></i>
                下载上传模板
            </button>
        </div>
    </div>  
    
    <div ng-if="config.uploadOk && config.parseFileOk" class="upload-datas-success-tip">
        文件解析成功,共成功条数: <span ng-bind="config.parseFileOkNum"> </span>
    </div> 

    <div ng-if="config.uploadOk && !config.parseFileOk" class="upload-datas-exceptions-tip">文件数据解析失败，错误的数据如下表所示:</div>
    <div ng-if="config.uploadOk && !config.parseFileOk" class="myGrid"  ui-grid="gridPPMGroupMaintain" class="myGrid" ui-grid-validate ui-grid-edit ui-grid-cellNav  ui-grid-resize-columns ui-grid-auto-resize></div>
    <!-- ui-grid-pagination -->

    <div ng-if="config.uploadError && config.showErrorDucpGridDatas" class="upload-datas-exceptions-tip">有重复记录,不可重复插入:</div>
    <div ng-if="config.uploadError && config.showErrorDucpGridDatas" ui-grid="gridPPMGroupMaintain" class="myGrid-78" ui-grid-validate ui-grid-edit ui-grid-cellNav  ui-grid-resize-columns ui-grid-auto-resize></div>
    <!-- ui-grid-pagination -->

</div>

